Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.util
Class CompatibilityUtil

    java.lang.Object
      org.eclipse.birt.report.model.api.util.CompatibilityUtil

    public class CompatibilityUtil

extends java.lang.Object

Provides the backward compatibility for the user. Now support:

- Updated CachedMetaData.resultSet.

- Added DataSet.resultSet column.

Backward compatibilty is different from other operations. It does not support undo/redo and won't send out events.

Constructor Summary
`CompatibilityUtil()`

Method Summary
`static void` | `addResultSetColumn(DataSetHandle dataSetHandle, java.util.List columns)` Adds ResultSetColumn without sending out event.
`static void` | `addStructures(PropertyHandle propHandle, java.util.List structures)` Adds the given structures to the corresponding property values.
`static void` | `updateResultSetinCachedMetaData(DataSetHandle setHandle, java.util.List resultColumns)` Updates CachedMetaData.resultSet property with the given data set and the list of result set columns.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompatibilityUtil

    public CompatibilityUtil()

Method Detail

### updateResultSetinCachedMetaData

    public static void updateResultSetinCachedMetaData(DataSetHandle setHandle,
                                                       java.util.List resultColumns)
                                                throws SemanticException

  Updates CachedMetaData.resultSet property with the given data set and the list of result set columns.

  Parameters:
    `setHandle` - the data set
    `resultColumns` - a list containing result set columns. Each item in the list is `ResultSetColumn`
  Throws:
    `SemanticException` - if any result set column in the list has invalid values.

### addStructures

    public static void addStructures(PropertyHandle propHandle,
                                     java.util.List structures)
                              throws SemanticException

  Adds the given structures to the corresponding property values. For example, adds result set columns to DataSet.resultSets.

  Parameters:
    `propHandle` - the property handle
    `structures` - the list containing structures
  Throws:
    `SemanticException` - if any structure in the list has invalid values.

### addResultSetColumn

    public static void addResultSetColumn(DataSetHandle dataSetHandle,
                                          java.util.List columns)
                                   throws SemanticException

  Adds ResultSetColumn without sending out event.

  Parameters:
    `dataSetHandle` - data set handle
    `columns` - list contains OdaResultSetColumn
  Throws:
    `SemanticException` - if any result set column in the list has invalid values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.